
function showBook()
{
	var Books = Ext.create('Books'), //instanciation du store Books 
		html = '';
	
	//chargement des données dans le store
	Books.load({callback: function(){
		//parcours des données
		Books.each(function(Book){
			html += '<p>';
			html += 'ID: '+Book.get('ID')+'<br/>';
			html += 'TITLE: '+Book.get('TITLE');
			html += '</p>';
		});
		
		//affichage du résultat
		Ext.create('Ext.window.Window', {
	        title: 'Books',
	        height: 400,
	        width: 600,
	            html: html,
	            autoScroll: true
	    }).show();
	}});	
}

function showAuthor()
{
	var Authors = Ext.create('Authors'), //instanciation du store Books 
		html = '';
	
	//chargement des données dans le store
	Authors.load({callback: function(){
		Authors.each(function(Author){
			html += '<p>';
			html += 'ID: '+Author.get('ID')+'<br/>';
			html += 'NAME: '+Author.get('NAME');
			html += '</p>';
		});
		
		//affichage du résultat
		Ext.create('Ext.window.Window', {
	        title: 'Authors',
	        height: 400,
	        width: 600,
	            html: html,
	            autoScroll: true
	    }).show();
	}});
}

function showNested()
{
	var NestAuthors = Ext.create('NestAuthors'), 
		html = '';
	
	NestAuthors.load({callback: function(){
		NestAuthors.each(function(Author){
			html += '<p>';
			html += 'ID: '+Author.get('ID')+'<br/>';
			html += 'NAME: '+Author.get('NAME')+'<br/>';
			
			html += 'Books: '+'<br/>';
			html += '<ul>';
			
			Author.books().each(function(Book){
				html += '<li>TITLE: '+Book.get('TITLE')+'</li>';
			});
			
			html += '</ul>';
			html += '</p>';
		});
		
		Ext.create('Ext.window.Window', {
	        title: 'Authors & Books',
	        height: 400,
	        width: 600,
	            html: html,
	            autoScroll: true
	    }).show();
	}});
}